{% extends 'app/base.html' %} {% block content %}
<div class="container">
  <div class="row">
    <div class="col-md-6">
      <div class="date">{{ image.pub_date }}</div>

      {% include 'includes/vote_buttons.html' with image=image vote=vote %}

      <h2>{{ image.title }}</h2>
      <h3>Posted by: {{ image.user.username }}</h3>
      <img class="app-fit" src="{{image.url}}" alt="" />
    </div>
    <div class="col-md-6">
      <h3>Description</h3>
      <p>{{ image.description|linebreaksbr }}</p>
      <h3>Comments</h3>
      {% for comment in comments %}
      <div class="row">
        {% if not comment.is_approved or user.is_superuser %}
          <div class="border comment">
            <p class="red">
              Author: {{ comment.author }} ({{comment.created_at}})
            </p>
            <p class="secondary">{{ comment.text }}</p>
          </div>
          {% include 'includes/like_button.html' with comment=comment %} 
        {% endif %}
        
        {% if user.is_superuser and comment.is_approved %}
          {% include 'includes/approve_button.html' with comment=comment %}
        {% endif %}
        
        
        {% if  user.is_superuser or user.id == comment.user.id and not comment.is_approved and user.is_authenticated %}
          {% include 'includes/delete_comment_button.html' with comment=comment%}        
        {% endif %}

        {% if  user.is_superuser or user.id == comment.user.id and not comment.is_approved and user.is_authenticated %}
          <a href="{% url 'app:edit_comment' comment.id %}">Edit</a> | 
        {% endif %}
          
      </div>
      {% endfor %} 
      {% if user.is_authenticated %}
        <h2>Post a comment</h2>
        {% if error_message %}
          <p><strong>{{ error_message }}</strong></p>
        {% endif %}

        <form
          action="{% url 'app:comment' image.id %}"
          method="post"
          class="border"
        >
          {% csrf_token %} {% include 'includes/bs4_form.html' with form=form %}

          <input type="submit" value="Post comment" class="btn btn-primary" />
        </form>
      {% endif %}
    </div>
  </div>
</div>
{% endblock %}
